Skip to main content

Update a condition check-in.

PUT 

/api/vehicles/checkin/condition/:id

Update a condition check-in.

Request

Path Parameters

    id stringrequired

    The id of the checkin

Body

required

    userNote string

    An optional note from the user when updating the check-in.

    photos

    object[]

    required

  • Array [

  • url stringrequired

    Url of the photo. The photo needs to be uploaded via the Photo Upload API.

    type stringrequired

    Possible values: Value must match regular expression ^(Back|Front|DriverSide|DriverSideFront|DriverSideBack|PassengerSide|PassengerSideFront|PassengerSideBack)$, [Back, Front, DriverSide, DriverSideFront, DriverSideBack, PassengerSide, PassengerSideFront, PassengerSideBack]

    Type of the photo. A value from one of the condition checkin photo types.

  • ]

Responses

OK

Schema

    id string

    Id of the checkin

    license string

    License plate number

    userNote string

    User generated note. For communication between the user to the admin

    adminNote string

    Admin generated note. Usually used for on-hold or declined check-ins

    checkedInAt string

    Check-in date

    checkInStatus string

    Possible values: [Confirmed, Declined, OnHold, Pending]

    Status of the check-in

    updated string

    Last updated on

    photos

    object[]

    The photos of the vehicle taken from different angles

  • Array [

  • photoUrl string

    URL of the photo

    type string

    Possible values: [Back, Front, DriverSide, DriverSideFront, DriverSideBack, PassengerSide, PassengerSideFront, PassengerSideBack]

    Type of the photo. A value from one of the condition checkin photo types.

    latitude double

    Latitude at which photo was taken

    longitude double

    Longitude at which photo was taken

    markedInvalidByReview boolean

    Indicates that the photo has been marked invalid on review.

    damageDetected boolean

    Indicates that the review has detected damage to the vehicle.

  • ]

  • fraud boolean
Loading...